## org.apache.lucene.util
Interface Bits

All Known Implementing Classes:
  Bits.MatchAllBits, Bits.MatchNoBits, BitVector, FixedBitSet, OpenBitSet, OpenBitSetDISI

    public interface Bits

Interface for Bitset-like structures.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Nested Class Summary
`static class` `Bits.MatchAllBits` Bits impl of the specified length with all bits set.
`static class` `Bits.MatchNoBits` Bits impl of the specified length with no bits set.

Field Summary
`static Bits[]` `EMPTY_ARRAY`

Method Summary
`boolean` `get(int index)`
`int` `length()`

Field Detail

### EMPTY_ARRAY

    static final Bits[] EMPTY_ARRAY

Method Detail

### get

    boolean get(int index)

### length

    int length()